disp('Computing error norms of the method:');
ES = @(x) IC(x - a_advec * T,y - b_advec * T,z - c_advec * T); % function handle exact solution

exact_solution_nodes = ES(x,y,z); % exact solution in nodes of refined mesh
error_nodes = abs(u - exact_solution_nodes);
error_max = max(max(error_nodes)) % maximum error in nodes of refined mesh
error_mean = mean(mean(error_nodes))